<!DOCTYPE html>
<html>
	<head>
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
		<script type="text/javascript" src="js/jquery-3.4.1.min.js"></script>
		<script type="text/javascript" src="js/jquery.tablesorter.js"></script>
		<script type="text/javascript" src="js/FGO_DB.js"></script>
		<link rel="stylesheet" href="css/FGO_DB.css">
		<meta charset="UTF-8">
		<title>ダメージ計算機</title>
	</head>
	<body>
		<!-- ログイン中は名前とログアウトを表示 ログアウト状態ではログインに表示替え -->
		<header class="header">
			<div class="container">
				<div class="row bg-dark">
					<div class="col-3 text-center">
						<button type="button" class="btn btn-info btn-sm">ホーム</button>
					</div>
					<div class="col-6 text-light text-right">
						<!-- ユーザー名 -->さん
					</div>
					<div class="col-3 text-center">
						<button type="button" class="btn btn-info btn-sm">ログアウト</button>
					</div>
				</div>
			</div>
		</header>
		<!-- 空の境界 -->
		<div class="header-padding"></div>
		<!-- でかでかとタイトル -->
		<div class="container content">
			<div class="row">
				<div class="col-2">

				</div>
				<div class="col-8 text-center">
					<h1>ダメージ計算機</h1>
				</div>
				<div class="col-2 text-right">

				</div>
			</div>
			<br>
			<!-- ここから検索 -->
			<div class="row">
				<div class="col-1">
					ID
				</div>
				<div class="col-1">
					<input class="form-control form-control-sm" type="text" placeholder="ID">
				</div>
				<div class="col-1">
					名前
				</div>
				<div class="col-2">
					<input class="form-control form-control-sm" type="text" placeholder="おなまえ"><br>
				</div>
				<div class="col-1">
					性別
				</div>
				<div class="col-1">
					<select class="form-control form-control-sm">
						<option>-</option>
						<option>男</option>
						<option>女</option>
						<option>不明</option>
					</select>
				</div>
				<div class="col-1">
					レア
				</div>
				<div class="col-1">
					<select class="form-control form-control-sm">
						<option>-</option>
						<option>0</option>
						<option>1</option>
						<option>2</option>
						<option>3</option>
						<option>4</option>
						<option>5</option>
					</select>
				</div>
				<div class="col-1">
					クラス
				</div>
				<div class="col-2">
					<select class="form-control form-control-sm">
						<option>-</option>
						<option>セイバー</option>
						<option>アーチャー</option>
						<option>ランサー</option>
						<option>アサシン</option>
						<option>ライダー</option>
						<option>キャスター</option>
						<option>バーサーカー</option>
						<option>ルーラー</option>
						<option>アヴェンジャー</option>
						<option>アルターエゴ</option>
						<option>ムーンキャンサー</option>
						<option>シールダー</option>
					</select>
				</div>
			</div>
			<div class="text-right">
				<button type="button" class="btn btn-primary btn-sm">検索</button>
			</div>
			<div class="row">
				<div class="col-2 text-center">
					検索結果
				</div>
				<div class="col-4">
					<select class="form-control form-control-sm">
						<option>-</option>
						<option>ここに</option>
						<option>検索した</option>
						<option>結果を</option>
						<option>表示</option>
						<option>したい</option>
					</select>
				</div>
				<div class="col-6">
					<button type="button" class="btn btn-secondary btn-sm">メイン</button>
					　　
					<button type="button" class="btn btn-info btn-sm">サポ1</button>
					<button type="button" class="btn btn-info btn-sm">サポ2</button>
					<button type="button" class="btn btn-info btn-sm">サポ3</button>
					<button type="button" class="btn btn-info btn-sm">サポ4</button>
					<button type="button" class="btn btn-info btn-sm">サポ5</button>
					　
					<button type="button" class="btn btn-info btn-sm">リセット</button>
				</div>
			</div>
			<hr noshade>
			<!-- ここから下は本体 -->
			<div class="row">
				<!-- 左側は文字を少し小さく -->
				<div class="col">
					<font size="2">
						<table class="table table-bordered">
							<tbody>
								<tr class="text-white font-weight-bold bg-dark">
									<td>Class</td>
									<td colspan="2">名前</td>
									<td>ATK</td>
									<td>天地人</td>
									<td>性別</td>
									<td>Rare</td>
								</tr>
								<tr>
									<td>ランサー</td>
									<td colspan="2">ディルムッド・オディナ</td>
									<td>6877</td>
									<td>地</td>
									<td>男</td>
									<td>3</td>
								</tr>
								<tr>
									<td class="text-white font-weight-bold bg-dark">宝具レベル</td>
									<td colspan="2">
										<input type="radio" name="NP" value="1" checked="checked">1　
										<input type="radio" name="NP" value="2">2　
										<input type="radio" name="NP" value="3">3　
										<input type="radio" name="NP" value="4">4　
										<input type="radio" name="NP" value="5">5　
									<td class="text-white font-weight-bold bg-dark">オーバーチャージ</td>
									<td colspan="2">
										<input type="radio" name="OC" value="1" checked="checked">1　
										<input type="radio" name="OC" value="2">2　
										<input type="radio" name="OC" value="3">3　
										<input type="radio" name="OC" value="4">4　
										<input type="radio" name="OC" value="5">5　
									</td>
								</tr>
							</tbody>
						</table>
						ATK <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="atk" value="6877">
						　ATKフォウ <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="fou" value="1000">
						　クラス
						<select class="form-control form-control-sm" style="width:100px; display:inline" name="class_core">
							<option value="1.0">セイバー</option>
							<option value="0.95">アーチャー</option>
							<option value="1.05">ランサー</option>
							<option value="0.9">アサシン</option>
							<option value="1.0">ライダー</option>
							<option value="0.9">キャスター</option>
							<option value="1.1">バーサーカー</option>
							<option value="1.1">ルーラー</option>
							<option value="1.1">アヴェンジャー</option>
							<option value="1.0">アルターエゴ</option>
							<option value="1.0">ムーンキャンサー</option>
							<option value="1.0">フォーリナー</option>
							<option value="1.0">シールダー</option>
						</select>
						　宝具倍率 <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="np" value="2400">％
						　宝具色
						<select class="form-control form-control-sm" style="width:70px; display:inline" name="color">
							<option value="1.5">B</option>
							<option value="1.0">A</option>
							<option value="0.8">Q</option>
						</select>
						<br>
						スキル1 : 心眼（真）_B <input type="checkbox" name="Supp-5_Skill-1" value="1">適用
						　
						スキル2 : 愛の黒子_C <input type="checkbox" name="Supp-5_Skill-1" value="1">適用
						　
						スキル3 : 騎士の武略_B <input type="checkbox" name="Supp-5_Skill-1" value="1">適用
						<hr noshade>
						<h4 class="font-weight-bold">バフ</h4>
						ATK <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="atk_buff" value="0">％
						　カード <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="card_buff" value="0">％
						　宝具威力 <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="np_buff" value="0">％
						　特攻付与 <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="sp_skill" value="0">％
						<br>
						〔特性〕特攻（宝具） <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="sp_chara" value="100">％
						　〔状態〕特攻（宝具） <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="sp_state" value="100">％
						<br>
						ダメージ（クラススキルの追加ダメージもここへ） ＋<input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="damage_buff" value="0">
						<hr noshade>
						<h4 class="font-weight-bold">デバフ</h4>
						敵防御力<input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="def_debuff" value="0">％
						　カード耐性 <input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="card_debuff" value="0">％
						　敵ダメージデバフ ＋<input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="damage_debuff" value="0">
						<hr noshade>
						<h4 class="font-weight-bold">相性</h4>
						クラス相性
						<select class="form-control form-control-sm" style="width:70px; display:inline" name="class_comp">
							<option value="1.0">等倍</option>
							<option value="2.0">有利</option>
							<option value="0.5">不利</option>
							<option value="1.5">有利（バーサーカー）</option>
							<option value="1.5">有利（アルターエゴ）</option>
						</select>
						　天地人相性
						<select class="form-control form-control-sm" style="width:70px; display:inline" name="tenchijin">
							<option value="1.0">等倍</option>
							<option value="1.1">有利</option>
							<option value="0.9">不利</option>
						</select>
						<hr noshade>
						平均<input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="average" value="0" disabled>
						　最高<input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="high" value="0" disabled>
						　最低<input class="form-control form-control-sm" type="text" placeholder="none" style="width:70px; display:inline" name="low" value="0" disabled>
						　<button type="button" id="calc">計算</button>
						　<button type="button">リセット</button>
						<br>
						<font size="2" color="red">※無記入欄（<font color="gray">none</font>）がある場合エラーが発生します。</font>
					</font>
				</div>
				<!-- 右側 -->
				<div class="col-4">
					サポート1 - 諸葛孔明<br>
					スキル1 - 鑑識眼 A <input type="checkbox" name="Supp-1_Skill-1" value="1">適用<br>
					スキル2 - 軍師の忠言 A+ <input type="checkbox" name="Supp-1_Skill-2" value="1">適用<br>
					スキル3 - 軍師の指揮 A+ <input type="checkbox" name="Supp-1_Skill-3" value="1">適用
					　<button type="button" class="btn btn-info btn-sm">リセット</button><br>
					<hr noshade>
					サポート2 - 諸葛孔明<br>
					スキル1 - 鑑識眼 A <input type="checkbox" name="Supp-2_Skill-1" value="1">適用<br>
					スキル2 - 軍師の忠言 A+ <input type="checkbox" name="Supp-2_Skill-2" value="1">適用<br>
					スキル3 - 軍師の指揮 A+ <input type="checkbox" name="Supp-2_Skill-3" value="1">適用
					　<button type="button" class="btn btn-info btn-sm">リセット</button><br>
					<hr noshade>
					サポート3 - 諸葛孔明<br>
					スキル1 - 鑑識眼 A <input type="checkbox" name="Supp-3_Skill-1" value="1">適用<br>
					スキル2 - 軍師の忠言 A+ <input type="checkbox" name="Supp-3_Skill-2" value="1">適用<br>
					スキル3 - 軍師の指揮 A+ <input type="checkbox" name="Supp-3_Skill-3" value="1">適用
					　<button type="button" class="btn btn-info btn-sm">リセット</button><br>
					<hr noshade>
					サポート4 - 諸葛孔明<br>
					スキル1 - 鑑識眼 A <input type="checkbox" name="Supp-4_Skill-1" value="1">適用<br>
					スキル2 - 軍師の忠言 A+ <input type="checkbox" name="Supp-4_Skill-2" value="1">適用<br>
					スキル3 - 軍師の指揮 A+ <input type="checkbox" name="Supp-4_Skill-3" value="1">適用
					　<button type="button" class="btn btn-info btn-sm">リセット</button><br>
					<hr noshade>
					サポート5 - 諸葛孔明<br>
					スキル1 - 鑑識眼 A <input type="checkbox" name="Supp-5_Skill-1" value="1">適用<br>
					スキル2 - 軍師の忠言 A+ <input type="checkbox" name="Supp-5_Skill-2" value="1">適用<br>
					スキル3 - 軍師の指揮 A+ <input type="checkbox" name="Supp-5_Skill-3" value="1">適用
					　<button type="button" class="btn btn-info btn-sm">リセット</button><br>
				</div>
			</div>
		</div>
		<script>
			$("#calc").click(function(){
				<!-- 基礎ATKの計算 -->
				var atk = parseInt($('[name = "atk"]').val());
				var fou = parseInt($('[name = "fou"]').val());
				var class_core = parseFloat($('[name = "class_core"]').val());
				var class_comp = parseFloat($('[name = "class_comp"]').val());
				var tenchijin = parseFloat($('[name = "tenchijin"]').val());
				var base_ATK = (atk + fou) * class_core * class_comp * tenchijin;
				console.log("基礎ATKは" + base_ATK);
				<!-- 基礎バフの計算 -->
				var atk_buff = parseFloat($('[name = "atk_buff"]').val());
				var def_debuff = parseFloat($('[name = "def_debuff"]').val());
				var ATK = (atk_buff + def_debuff)/100 + 1;
				var card_buff = parseFloat($('[name = "card_buff"]').val());
				var card_debuff = parseFloat($('[name = "card_debuff"]').val());
				var CARD = (card_buff + card_debuff)/100 + 1;
				var np_buff = parseFloat($('[name = "np_buff"]').val());
				var sp_skill = parseFloat($('[name = "sp_skill"]').val());
				var NPandSP = (np_buff + sp_skill)/100 + 1;
				var sp_chara = parseFloat($('[name = "sp_chara"]').val());
				var sp_state = parseFloat($('[name = "sp_state"]').val());
				var SPforNP = (sp_chara/100) * (sp_state/100);
				var base_BUFF = CARD * ATK * NPandSP * SPforNP;
				console.log("基礎バフは" + base_BUFF);
				<!-- 基礎倍率の計算 -->
				var color = parseFloat($('[name = "color"]').val());
				var np = parseFloat($('[name = "np"]').val());
				var base_NP = color * (np/100);
				console.log("基礎倍率は" + base_NP);
				<!-- プラスダメージの計算 -->
				var damage_buff = parseInt($('[name = "damage_buff"]').val());
				var damage_debuff = parseInt($('[name = "damage_debuff"]').val());
				var plus_damage = damage_buff + damage_debuff;
				console.log("プラスダメージは" + plus_damage);
				<!-- 結果の表示表示 -->
				var ave = base_ATK * base_BUFF * base_NP;
				console.log("計算は「"+ base_ATK +"×"+ base_BUFF +"×"+ base_NP +"="+ ave +"」");
				console.log(ave +"に乱数の上限（0.253）と下限(0.207)とそれの平均(0.23)を掛けた値に")
				console.log(plus_damage +"（プラスダメージ）を最後に足して終わりだよ")
				$('[name = "average"]').val(parseInt(ave * 0.23 + plus_damage));
				$('[name = "high"]').val(parseInt(ave * 0.253 + plus_damage));
				$('[name = "low"]').val(parseInt(ave * 0.207 + plus_damage));
			});
		</script>
	</body>
</html>